<?php
namespace Controllers;

use Zeedhi\Framework\DTO;

class SearchCompradorByOperador extends \Teknisa\GER\Controllers\TeknisaCrud
{
    protected $dataSourceName = "comprador_by_operador";
    protected $environment;
    
    public function __construct($crudService, $parameterBag, $environment)
    {
        $this->environment = $environment;
        parent::__construct($crudService, $parameterBag);
    }
    
    public function find(DTO\Request\Filter $request, DTO\Response $response)
    {
        $filterCriteria = $request->getFilterCriteria();
		$filterCriteria->addCondition("P_CDOPERADOR", $this->environment->getCdoperador());
		parent::find($request, $response);
	}
}